%define upstream_name    Moose-Autobox
%define upstream_version 0.15

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    The Indexed role
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Moose/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moose) >= 0.420.0
BuildRequires: perl(Syntax::Keyword::Junction)
BuildRequires: perl(Test::Exception) >= 0.210.0
BuildRequires: perl(Test::More) >= 0.890.0
BuildRequires: perl(autobox) >= 2.230.0
BuildRequires: perl(parent)
BuildArch:  noarch


%{?perl_default_filter}
Requires:   perl(autobox)
%description
Moose::Autobox provides an implementation of SCALAR, ARRAY, HASH & CODE for
use with the autobox manpage. It does this using a hierarchy of roles in a
manner similar to what Perl 6 _might_ do. This module, like the Class::MOP
manpage and the Moose manpage, was inspired by my work on the Perl 6 Object
Space, and the 'core types' implemented there.

A quick word about autobox
    The the autobox manpage module provides the ability for calling
    'methods' on normal Perl values like Scalars, Arrays, Hashes and Code
    references. This gives the illusion that Perl's types are first-class
    objects. However, this is only an illusion, albeit a very nice one. I
    created this module because the autobox manpage itself does not
    actually provide an implementation for the Perl types but instead only
    provides the 'hooks' for others to add implementation too.

Is this for real? or just play?
    Several people are using this module in serious applications and it
    seems to be quite stable. The underlying technologies of the autobox
    manpage and the Moose::Role manpage are also considered stable. There
    is some performance hit, but as I am fond of saying, nothing in life is
    free. If you have any questions regarding this module, either email me,
    or stop by #moose on irc.perl.org and ask around.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.150.0-6.mga6
+ Revision: 1030317
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.150.0-5.mga6
+ Revision: 946615
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.150.0-4.mga5
+ Revision: 744525
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.150.0-3.mga5
+ Revision: 735774
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.150.0-2.mga5
+ Revision: 685509
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 0.150.0-1.mga5
+ Revision: 588532
- update to 0.15

* Fri Oct 18 2013 umeabot <umeabot> 0.130.0-3.mga4
+ Revision: 513116
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.130.0-2.mga3
+ Revision: 370119
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 0.130.0-1.mga3
+ Revision: 295303
- update to 0.13

* Tue Jun 05 2012 jquelin <jquelin> 0.120.0-1.mga3
+ Revision: 255169
- update to 0.12

* Sat Jan 22 2011 jquelin <jquelin> 0.110.0-1.mga1
+ Revision: 32204
- mageia rebuild
- imported package perl-Moose-Autobox

